Skip to main content
GET
/
modules
List modules
curl --request GET \
  --url https://api.osint.ly/modules \
  --header 'Authorization: Bearer <token>'
{ "aggregations": { "categories": { "Social Media": 42, "Data Enrichment": 18 }, "featuredCount": 12, "searchTypes": { "Pseudonym": 60, "Email Address": 8 }, "totalCount": 68 }, "featuredModules": [ { "description": "GitHub is a web-based platform for software development and version control using Git.", "featured": true, "id": "ba35f66f-1a28-412a-a334-2ddf51fb2d56", "installs": 15, "logo": "https://logos.osint.ly/github.com", "name": "Github", "slug": "github", "type": "Pseudonym" } ], "items": [ { "description": "GitHub is a web-based platform for software development and version control using Git.", "featured": true, "id": "ba35f66f-1a28-412a-a334-2ddf51fb2d56", "installs": 15, "logo": "https://logos.osint.ly/github.com", "name": "Github", "slug": "github", "type": "Pseudonym" } ], "modules": [ { "description": "GitHub is a web-based platform for software development and version control using Git.", "featured": true, "id": "ba35f66f-1a28-412a-a334-2ddf51fb2d56", "installs": 15, "logo": "https://logos.osint.ly/github.com", "name": "Github", "slug": "github", "type": "Pseudonym" } ], "pagination": { "hasNext": true, "hasPrevious": false, "limit": 12, "page": 1, "total": 68, "totalPages": 6 }, "total": 68 }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number

Required range: 1 <= x <= 10000
limit
integer
default:250

Number of modules to return per page

Required range: 1 <= x <= 250
sortBy
enum<string>
default:popular

Sort order for the module list

Available options:
popular,
usage-desc,
usage-asc,
recent,
name-asc,
name-desc,
rating
fields
enum<string>

Use preview to return the compact module payload used by catalog UIs

Available options:
preview

Search term matched against module name, type, description, and tags

Maximum string length: 120
searchType
string
default:All

Filter by module search type, or All for all types

Maximum string length: 80
Example:

"Pseudonym"

category
string
default:All

Filter by catalog category, or All for all categories

Maximum string length: 80
Example:

"Social Media"

When true, return only featured modules

Response

Module catalog page

aggregations
object
required
items
object[]
required
modules
object[]
required

Alias of items for clients that expect a module list property

pagination
object
required
total
integer
required
Required range: x >= 0